Bug 256671 - dns/knot3: upgrade to 3.0.7
Summary: dns/knot3: upgrade to 3.0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vanilla I. Shu
URL: https://www.knot-dns.cz/2021-06-16-ve...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-17 12:53 UTC by Leo Vandewoestijne
Modified: 2021-06-21 12:52 UTC (History)
1 user (show)

See Also:


Attachments
knot 3.0.7 (3.48 KB, patch)
2021-06-17 12:53 UTC, Leo Vandewoestijne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2021-06-17 12:53:18 UTC
Created attachment 225889 [details]
knot 3.0.7

Knot3 was upgraded to 3.0.6 yesterday.
This patch updates the port accordingly.

Tested using poudriere and portfmt.

To have zero output in portfmt I made cosmetical changes.
But basically only the version and checksums changed.

Also knot3-lib remains fine.

In case a patch from 3.0.5 rather is desired, then please let me know.
Comment 1 Vanilla I. Shu freebsd_committer 2021-06-21 12:51:38 UTC
Committed, thanks.
Comment 2 commit-hook freebsd_committer 2021-06-21 12:52:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b87f37734a9de7a3aa76e5520613e01519332461

commit b87f37734a9de7a3aa76e5520613e01519332461
Author:     Vanilla I. Shu <vanilla@FreeBSD.org>
AuthorDate: 2021-06-21 12:48:14 +0000
Commit:     Vanilla I. Shu <vanilla@FreeBSD.org>
CommitDate: 2021-06-21 12:50:52 +0000

    dns/knot3: update to 3.0.7.

    PR:             256671
    Reported by:    maintainer

 dns/knot3/Makefile | 41 +++++++++++++++++++++--------------------
 dns/knot3/distinfo |  6 +++---
 2 files changed, 24 insertions(+), 23 deletions(-)